FREE(3)

NAME
free - free up memory allocated with malloc, calloc or realloc

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
void
free(void *ptr);

DESCRIPTION
The free() function causes the space pointed to by ptr to be deallocated, that is, made available for further allocation. If ptr is a null pointer, no action occurs. Otherwise, if the argument does not match a pointer earlier returned by the calloc() malloc() or realloc() function, or if the space has been deallocated by a call to free() or realloc(), general havoc may occur.

RETURN VALUES
The free() function returns no value.

SEE ALSO
calloc(3), malloc(3), realloc(3)

STANDARDS
The free() function conforms to ansiC.